Table of Contents

Class: InputOutputWindow | Twisted-0.19.0/twisted/im/gtkcommon.py
--- | ---
Methods |
--- | ---
__init__ getCurrentWord handle_key_press_event hidden hide historyDown historyUp show tabComplete
| __init__
    __init__ (
            self,
            rootName,
            inputName,
            outputName,
            )
| getCurrentWord
    getCurrentWord ( self,  entry )
| handle_key_press_event
    handle_key_press_event (
            self,
            entry,
            event,
            )
| hidden
    hidden ( self,  w )
| hide
    hide ( self )
| historyDown
    historyDown ( self )
| historyUp
    historyUp ( self )
| show
    show ( self )
| tabComplete
    tabComplete ( self,  word )
Override me to implement tab completion for your window, I should return a list of potential matches.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:38 2002 by HappyDoc version 2.0